# Google Workspace Marketplace API

Lets your Google Workspace Marketplace applications integrate with Google's installtion and licensing services.

## Service: appsmarket.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://appsmarket.googleapis.com/$discovery/rest?version=v2>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://appsmarket.googleapis.com`

## REST Resource: [v2.customerLicense](https://developers.google.com/workspace/marketplace/reference/rest/v2/customerLicense)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/marketplace/reference/rest/v2/customerLicense/get` | `GET /appsmarket/v2/customerLicense/{applicationId}/{customerId}` Gets the customer's licensing status to determine if they have access to a given app. |

## REST Resource: [v2.userLicense](https://developers.google.com/workspace/marketplace/reference/rest/v2/userLicense)

| Methods ||
|---|---|
| `https://developers.google.com/workspace/marketplace/reference/rest/v2/userLicense/get` | `GET /appsmarket/v2/userLicense/{applicationId}/{userId}` Gets the user's licensing status to determine if they have permission to use a given app. |